# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_static_text $IPINST -name "Title" -parent ${Page_0} -text {I/F Adopter bwtween AXI4 Lite and AXI4 Data Stream 
by Reconf Sys Lab, Ritsumeikan Univ
.}
  #Adding Group
  set AXI_Write_Port_0_/_AXI_Data_Stream_Master_Port_0 [ipgui::add_group $IPINST -name "AXI Write Port 0 / AXI Data Stream Master Port 0" -parent ${Page_0}]
  set_property tooltip {AXI Write Port 0 / AXI Data Stream Master Port 0} ${AXI_Write_Port_0_/_AXI_Data_Stream_Master_Port_0}
  set M0MD [ipgui::add_param $IPINST -name "M0MD" -parent ${AXI_Write_Port_0_/_AXI_Data_Stream_Master_Port_0} -widget comboBox]
  set_property tooltip {M0 Mode (3. fifo strm, 2. direct strm, 1. reg, 0. none)} ${M0MD}
  ipgui::add_param $IPINST -name "M0DW" -parent ${AXI_Write_Port_0_/_AXI_Data_Stream_Master_Port_0}
  set M0AW [ipgui::add_param $IPINST -name "M0AW" -parent ${AXI_Write_Port_0_/_AXI_Data_Stream_Master_Port_0}]
  set_property tooltip {M0 FIFO Address Width = log2(FIFO Size)} ${M0AW}
  set M0SZ [ipgui::add_param $IPINST -name "M0SZ" -parent ${AXI_Write_Port_0_/_AXI_Data_Stream_Master_Port_0} -widget comboBox]
  set_property tooltip {M0 FIFO Size (actual size = SZ+4)} ${M0SZ}

  #Adding Group
  set AXI_Write_Port_1_/_AXI_Data_Stream_Master_Port_1 [ipgui::add_group $IPINST -name "AXI Write Port 1 / AXI Data Stream Master Port 1" -parent ${Page_0}]
  set_property tooltip {AXI Write Port 1 / AXI Data Stream Master Port 1} ${AXI_Write_Port_1_/_AXI_Data_Stream_Master_Port_1}
  set M1MD [ipgui::add_param $IPINST -name "M1MD" -parent ${AXI_Write_Port_1_/_AXI_Data_Stream_Master_Port_1} -widget comboBox]
  set_property tooltip {M1Mode (3. fifo strm, 2. direct strm, 1. reg, 0. none)} ${M1MD}
  ipgui::add_param $IPINST -name "M1DW" -parent ${AXI_Write_Port_1_/_AXI_Data_Stream_Master_Port_1}
  set M1AW [ipgui::add_param $IPINST -name "M1AW" -parent ${AXI_Write_Port_1_/_AXI_Data_Stream_Master_Port_1}]
  set_property tooltip {M1 FIFO Address Width = log2(FIFO Size)} ${M1AW}
  set M1SZ [ipgui::add_param $IPINST -name "M1SZ" -parent ${AXI_Write_Port_1_/_AXI_Data_Stream_Master_Port_1} -widget comboBox]
  set_property tooltip {M1 FIFO Size (actual size = SZ+4)} ${M1SZ}

  #Adding Group
  set AXI_Read_Port_0_/_AXI_Data_Stream_Slave_Port_0 [ipgui::add_group $IPINST -name "AXI Read Port 0 / AXI Data Stream Slave Port 0" -parent ${Page_0}]
  set_property tooltip {AXI Read Port 0 / AXI Data Stream Slave Port 0} ${AXI_Read_Port_0_/_AXI_Data_Stream_Slave_Port_0}
  set S0MD [ipgui::add_param $IPINST -name "S0MD" -parent ${AXI_Read_Port_0_/_AXI_Data_Stream_Slave_Port_0} -widget comboBox]
  set_property tooltip {S0 Mode (3. fifo strm, 2. direct strm, 1. reg, 0. none)} ${S0MD}
  ipgui::add_param $IPINST -name "S0DW" -parent ${AXI_Read_Port_0_/_AXI_Data_Stream_Slave_Port_0}
  ipgui::add_param $IPINST -name "S0AW" -parent ${AXI_Read_Port_0_/_AXI_Data_Stream_Slave_Port_0}
  set S0SZ [ipgui::add_param $IPINST -name "S0SZ" -parent ${AXI_Read_Port_0_/_AXI_Data_Stream_Slave_Port_0} -widget comboBox]
  set_property tooltip {S0 FIFO Size (actual size = SZ+4)} ${S0SZ}

  #Adding Group
  set AXI_Read_Port_1_/_AXI_Data_Stream_Slave_Port_1 [ipgui::add_group $IPINST -name "AXI Read Port 1 / AXI Data Stream Slave Port 1" -parent ${Page_0}]
  set_property tooltip {AXI Read Port 1 / AXI Data Stream Slave Port 1} ${AXI_Read_Port_1_/_AXI_Data_Stream_Slave_Port_1}
  set S1MD [ipgui::add_param $IPINST -name "S1MD" -parent ${AXI_Read_Port_1_/_AXI_Data_Stream_Slave_Port_1} -widget comboBox]
  set_property tooltip {S1Mode (3. fifo strm, 2. direct strm, 1. reg, 0. none)} ${S1MD}
  ipgui::add_param $IPINST -name "S1DW" -parent ${AXI_Read_Port_1_/_AXI_Data_Stream_Slave_Port_1}
  ipgui::add_param $IPINST -name "S1AW" -parent ${AXI_Read_Port_1_/_AXI_Data_Stream_Slave_Port_1}
  set S1SZ [ipgui::add_param $IPINST -name "S1SZ" -parent ${AXI_Read_Port_1_/_AXI_Data_Stream_Slave_Port_1} -widget comboBox]
  set_property tooltip {S1 FIFO Size (actual size = SZ+4)} ${S1SZ}

  ipgui::add_static_text $IPINST -name "note" -parent ${Page_0} -text {NOTE 1:  Mode = 3. FIFO Stream I/F, 2: Direct Stream I/F, 1: Register I/F, 0: none

NOTE 2:  FIFO Size = pow(2, FIFO Address Width)}


}

proc update_PARAM_VALUE.M0AW { PARAM_VALUE.M0AW } {
	# Procedure called to update M0AW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M0AW { PARAM_VALUE.M0AW } {
	# Procedure called to validate M0AW
	return true
}

proc update_PARAM_VALUE.M0DW { PARAM_VALUE.M0DW } {
	# Procedure called to update M0DW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M0DW { PARAM_VALUE.M0DW } {
	# Procedure called to validate M0DW
	return true
}

proc update_PARAM_VALUE.M0MD { PARAM_VALUE.M0MD } {
	# Procedure called to update M0MD when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M0MD { PARAM_VALUE.M0MD } {
	# Procedure called to validate M0MD
	return true
}

proc update_PARAM_VALUE.M0SZ { PARAM_VALUE.M0SZ } {
	# Procedure called to update M0SZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M0SZ { PARAM_VALUE.M0SZ } {
	# Procedure called to validate M0SZ
	return true
}

proc update_PARAM_VALUE.M1AW { PARAM_VALUE.M1AW } {
	# Procedure called to update M1AW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M1AW { PARAM_VALUE.M1AW } {
	# Procedure called to validate M1AW
	return true
}

proc update_PARAM_VALUE.M1DW { PARAM_VALUE.M1DW } {
	# Procedure called to update M1DW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M1DW { PARAM_VALUE.M1DW } {
	# Procedure called to validate M1DW
	return true
}

proc update_PARAM_VALUE.M1MD { PARAM_VALUE.M1MD } {
	# Procedure called to update M1MD when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M1MD { PARAM_VALUE.M1MD } {
	# Procedure called to validate M1MD
	return true
}

proc update_PARAM_VALUE.M1SZ { PARAM_VALUE.M1SZ } {
	# Procedure called to update M1SZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M1SZ { PARAM_VALUE.M1SZ } {
	# Procedure called to validate M1SZ
	return true
}

proc update_PARAM_VALUE.S0AW { PARAM_VALUE.S0AW } {
	# Procedure called to update S0AW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S0AW { PARAM_VALUE.S0AW } {
	# Procedure called to validate S0AW
	return true
}

proc update_PARAM_VALUE.S0DW { PARAM_VALUE.S0DW } {
	# Procedure called to update S0DW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S0DW { PARAM_VALUE.S0DW } {
	# Procedure called to validate S0DW
	return true
}

proc update_PARAM_VALUE.S0MD { PARAM_VALUE.S0MD } {
	# Procedure called to update S0MD when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S0MD { PARAM_VALUE.S0MD } {
	# Procedure called to validate S0MD
	return true
}

proc update_PARAM_VALUE.S0SZ { PARAM_VALUE.S0SZ } {
	# Procedure called to update S0SZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S0SZ { PARAM_VALUE.S0SZ } {
	# Procedure called to validate S0SZ
	return true
}

proc update_PARAM_VALUE.S1AW { PARAM_VALUE.S1AW } {
	# Procedure called to update S1AW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S1AW { PARAM_VALUE.S1AW } {
	# Procedure called to validate S1AW
	return true
}

proc update_PARAM_VALUE.S1DW { PARAM_VALUE.S1DW } {
	# Procedure called to update S1DW when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S1DW { PARAM_VALUE.S1DW } {
	# Procedure called to validate S1DW
	return true
}

proc update_PARAM_VALUE.S1MD { PARAM_VALUE.S1MD } {
	# Procedure called to update S1MD when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S1MD { PARAM_VALUE.S1MD } {
	# Procedure called to validate S1MD
	return true
}

proc update_PARAM_VALUE.S1SZ { PARAM_VALUE.S1SZ } {
	# Procedure called to update S1SZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.S1SZ { PARAM_VALUE.S1SZ } {
	# Procedure called to validate S1SZ
	return true
}


proc update_MODELPARAM_VALUE.AXIAW { MODELPARAM_VALUE.AXIAW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "AXIAW". Setting updated value from the model parameter.
set_property value 8 ${MODELPARAM_VALUE.AXIAW}
}

proc update_MODELPARAM_VALUE.M0MD { MODELPARAM_VALUE.M0MD PARAM_VALUE.M0MD } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M0MD}] ${MODELPARAM_VALUE.M0MD}
}

proc update_MODELPARAM_VALUE.M0DW { MODELPARAM_VALUE.M0DW PARAM_VALUE.M0DW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M0DW}] ${MODELPARAM_VALUE.M0DW}
}

proc update_MODELPARAM_VALUE.M0AW { MODELPARAM_VALUE.M0AW PARAM_VALUE.M0AW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M0AW}] ${MODELPARAM_VALUE.M0AW}
}

proc update_MODELPARAM_VALUE.M0SZ { MODELPARAM_VALUE.M0SZ PARAM_VALUE.M0SZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M0SZ}] ${MODELPARAM_VALUE.M0SZ}
}

proc update_MODELPARAM_VALUE.M1MD { MODELPARAM_VALUE.M1MD PARAM_VALUE.M1MD } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M1MD}] ${MODELPARAM_VALUE.M1MD}
}

proc update_MODELPARAM_VALUE.M1DW { MODELPARAM_VALUE.M1DW PARAM_VALUE.M1DW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M1DW}] ${MODELPARAM_VALUE.M1DW}
}

proc update_MODELPARAM_VALUE.M1AW { MODELPARAM_VALUE.M1AW PARAM_VALUE.M1AW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M1AW}] ${MODELPARAM_VALUE.M1AW}
}

proc update_MODELPARAM_VALUE.M1SZ { MODELPARAM_VALUE.M1SZ PARAM_VALUE.M1SZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M1SZ}] ${MODELPARAM_VALUE.M1SZ}
}

proc update_MODELPARAM_VALUE.S0MD { MODELPARAM_VALUE.S0MD PARAM_VALUE.S0MD } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S0MD}] ${MODELPARAM_VALUE.S0MD}
}

proc update_MODELPARAM_VALUE.S0DW { MODELPARAM_VALUE.S0DW PARAM_VALUE.S0DW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S0DW}] ${MODELPARAM_VALUE.S0DW}
}

proc update_MODELPARAM_VALUE.S0AW { MODELPARAM_VALUE.S0AW PARAM_VALUE.S0AW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S0AW}] ${MODELPARAM_VALUE.S0AW}
}

proc update_MODELPARAM_VALUE.S0SZ { MODELPARAM_VALUE.S0SZ PARAM_VALUE.S0SZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S0SZ}] ${MODELPARAM_VALUE.S0SZ}
}

proc update_MODELPARAM_VALUE.S1MD { MODELPARAM_VALUE.S1MD PARAM_VALUE.S1MD } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S1MD}] ${MODELPARAM_VALUE.S1MD}
}

proc update_MODELPARAM_VALUE.S1DW { MODELPARAM_VALUE.S1DW PARAM_VALUE.S1DW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S1DW}] ${MODELPARAM_VALUE.S1DW}
}

proc update_MODELPARAM_VALUE.S1AW { MODELPARAM_VALUE.S1AW PARAM_VALUE.S1AW } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S1AW}] ${MODELPARAM_VALUE.S1AW}
}

proc update_MODELPARAM_VALUE.S1SZ { MODELPARAM_VALUE.S1SZ PARAM_VALUE.S1SZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.S1SZ}] ${MODELPARAM_VALUE.S1SZ}
}

proc update_MODELPARAM_VALUE.A_M0FIFODATA { MODELPARAM_VALUE.A_M0FIFODATA } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_M0FIFODATA". Setting updated value from the model parameter.
set_property value "00000000" ${MODELPARAM_VALUE.A_M0FIFODATA}
}

proc update_MODELPARAM_VALUE.A_M0FIFOBUSY { MODELPARAM_VALUE.A_M0FIFOBUSY } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_M0FIFOBUSY". Setting updated value from the model parameter.
set_property value "00000100" ${MODELPARAM_VALUE.A_M0FIFOBUSY}
}

proc update_MODELPARAM_VALUE.A_M0FIFOAVAIL { MODELPARAM_VALUE.A_M0FIFOAVAIL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_M0FIFOAVAIL". Setting updated value from the model parameter.
set_property value "00001000" ${MODELPARAM_VALUE.A_M0FIFOAVAIL}
}

proc update_MODELPARAM_VALUE.A_M1FIFODATA { MODELPARAM_VALUE.A_M1FIFODATA } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_M1FIFODATA". Setting updated value from the model parameter.
set_property value "00010000" ${MODELPARAM_VALUE.A_M1FIFODATA}
}

proc update_MODELPARAM_VALUE.A_M1FIFOBUSY { MODELPARAM_VALUE.A_M1FIFOBUSY } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_M1FIFOBUSY". Setting updated value from the model parameter.
set_property value "00010100" ${MODELPARAM_VALUE.A_M1FIFOBUSY}
}

proc update_MODELPARAM_VALUE.A_M1FIFOAVAIL { MODELPARAM_VALUE.A_M1FIFOAVAIL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_M1FIFOAVAIL". Setting updated value from the model parameter.
set_property value "00011000" ${MODELPARAM_VALUE.A_M1FIFOAVAIL}
}

proc update_MODELPARAM_VALUE.A_S0FIFODATA { MODELPARAM_VALUE.A_S0FIFODATA } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_S0FIFODATA". Setting updated value from the model parameter.
set_property value "00100000" ${MODELPARAM_VALUE.A_S0FIFODATA}
}

proc update_MODELPARAM_VALUE.A_S0FIFOBUSY { MODELPARAM_VALUE.A_S0FIFOBUSY } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_S0FIFOBUSY". Setting updated value from the model parameter.
set_property value "00100100" ${MODELPARAM_VALUE.A_S0FIFOBUSY}
}

proc update_MODELPARAM_VALUE.A_S0FIFOAVAIL { MODELPARAM_VALUE.A_S0FIFOAVAIL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_S0FIFOAVAIL". Setting updated value from the model parameter.
set_property value "00101000" ${MODELPARAM_VALUE.A_S0FIFOAVAIL}
}

proc update_MODELPARAM_VALUE.A_S1FIFODATA { MODELPARAM_VALUE.A_S1FIFODATA } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_S1FIFODATA". Setting updated value from the model parameter.
set_property value "00110000" ${MODELPARAM_VALUE.A_S1FIFODATA}
}

proc update_MODELPARAM_VALUE.A_S1FIFOBUSY { MODELPARAM_VALUE.A_S1FIFOBUSY } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_S1FIFOBUSY". Setting updated value from the model parameter.
set_property value "00110100" ${MODELPARAM_VALUE.A_S1FIFOBUSY}
}

proc update_MODELPARAM_VALUE.A_S1FIFOAVAIL { MODELPARAM_VALUE.A_S1FIFOAVAIL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "A_S1FIFOAVAIL". Setting updated value from the model parameter.
set_property value "00111000" ${MODELPARAM_VALUE.A_S1FIFOAVAIL}
}

proc update_MODELPARAM_VALUE.STT_WIDLE { MODELPARAM_VALUE.STT_WIDLE } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "STT_WIDLE". Setting updated value from the model parameter.
set_property value "01" ${MODELPARAM_VALUE.STT_WIDLE}
}

proc update_MODELPARAM_VALUE.STT_WWAIT { MODELPARAM_VALUE.STT_WWAIT } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "STT_WWAIT". Setting updated value from the model parameter.
set_property value "10" ${MODELPARAM_VALUE.STT_WWAIT}
}

proc update_MODELPARAM_VALUE.STT_RIDLE { MODELPARAM_VALUE.STT_RIDLE } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "STT_RIDLE". Setting updated value from the model parameter.
set_property value "01" ${MODELPARAM_VALUE.STT_RIDLE}
}

proc update_MODELPARAM_VALUE.STT_RWAIT { MODELPARAM_VALUE.STT_RWAIT } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "STT_RWAIT". Setting updated value from the model parameter.
set_property value "10" ${MODELPARAM_VALUE.STT_RWAIT}
}

